package cn.com.poc.agent_application.entity;

/**
 * @author alex.yao
 * @date 2025/3/3
 */
public class KnowledgeSuperclassProblemConfig {


    /**
     * knowledge_response_type
     * 知识库超纲回复类型
     * default-默认
     * custom-自定义
     */
    private String knowledgeResponseType;

    public String getKnowledgeResponseType() {
        return knowledgeResponseType;
    }

    public void setKnowledgeResponseType(String knowledgeResponseType) {
        this.knowledgeResponseType = knowledgeResponseType;
    }


    /**
     * knowledge_custom_response
     * 知识库超纲自定义回复内容-当knowledge_response_type为custom时生效
     */
    private String[] knowledgeCustomResponse;

    public String[] getKnowledgeCustomResponse() {
        return knowledgeCustomResponse;
    }

    public void setKnowledgeCustomResponse(String[] knowledgeCustomResponse) {
        this.knowledgeCustomResponse = knowledgeCustomResponse;
    }
}
